Scheduled Runs
Update scheduled run
Update specific fields of an existing scheduled run.
Common use cases:
- Enable/disable a schedule:
{"enabled": false} - Change the schedule frequency:
{"schedule_expression": "rate(1 hour)"} - Update the run template:
{"run_template_id": "new_template_id"}
PATCH
Authorizations
API key for authentication
Path Parameters
Scheduled run resource ID
Pattern:
^[A-Za-z0-9]{22}$Body
application/json
Partial update request (PATCH semantics - only provided fields are updated)
Human-readable schedule name
Required string length:
1 - 200Example:
"Updated Schedule Name"
Run template to execute
Pattern:
^[A-Za-z0-9]{22}$Example:
"abc123def456ghi789jklm"
Schedule expression in rate or cron format
Maximum string length:
200Example:
"rate(1 hour)"
IANA timezone for cron expressions
Maximum string length:
100Example:
"UTC"
Enable or disable the schedule
Example:
false
Response
Scheduled run updated successfully
Scheduled run configuration resource.

